Bug 1284680 - Performance problem with USB HID [NEEDINFO]
Performance problem with USB HID
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-23 16:37 EST by MK
Modified: 2016-10-26 12:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-26 12:41:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (mk)

Attachments (Terms of Use)

  None (edit)
Description MK 2015-11-23 16:37:40 EST
Description of problem:

USB keyboard and mouse attached to USB 2.0 ports on an Asus P8Z77-V respond poorly -- e.g., missed keystrokes when typing quickly, slight lag in registering keystrokes, cursor seems to stutter rather than move smoothly.  Normal `xset` settings did not compensate for this.  The problem is the same with or without X.

No such problem when attached to the USB 3.0 ports (of which there are only two).

This is on a fresh F23 Server install on a system with an existing F20, where I normally use my own kernel.  When I switched to that (4.2.1) on F23 there was no problem with the USB ports, so it seems to clearly be a kernel configuration issue with this machine.

`lsusb` just describes an "Intel Corp. Integrated Rate Matching Hub" with id 8087:0024.

Version-Release number of selected component (if applicable):


How reproducible: Always.

Additional info:

Although this cost me some time screwing around, it does not matter much to me as I am fine using a custom kernel. However, I think the issue could be very perplexing and frustrating for many people, on a fairly common piece of hardware.

There was also a problem with the F-keys and numerical keypad subsequent to one boot (it was not consistent); the former did not work but the function of some was assigned to some of the latter (e.g., Insert = F2, or something like that). The keyboard is a standard 101 key "Microsoft Curve".
Comment 1 Laura Abbott 2016-09-23 15:21:06 EDT
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:41:34 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.